/**
 * 产品模式
 *
 * @Author JoyoDuan
 * @Date 2019/11/14
 * @Description:
 */
export declare const PRODUCT_MODE: {
    development: string;
    production: string;
    beta: string;
    dev: string;
    prod: string;
    sit: string;
    uat: string;
};
/**
* 所有Key
*
* @Author JoyoDuan
* @Date 2019/11/14
* @Description:
*/
export declare const KEY: {
    tokenKey: string;
    joyoDuan: string;
    notExist: string;
    user: string;
    invalidToken: string;
    loginTimeout: string;
    default: string;
    clear: string;
    reserve: string;
    firstIn: string;
    none: string;
    file: string;
};
/**
* 是、否
*
* @Author JoyoDuan
* @Date 2019/11/14
* @Description:
*/
export declare const YES_OR_NO: {
    yes: string;
    yesSymbol: string;
    no: string;
    noSymbol: string;
};
/**
 * 状态
 */
export declare const STATUS: {
    compatibleSuccess: {
        code: string;
        msg: string;
    };
    success: {
        code: number;
        msg: string;
    };
    fail: {
        code: number;
        msg: string;
    };
    verifySignError: {
        code: number;
        msg: string;
    };
    invalidToken: {
        code: number;
        msg: string;
    };
    invalidAuthorization: {
        code: number;
        msg: string;
    };
};
/**
 * 通知（推送）消息类型
 */
export declare const NOTIFY_TYPE: {
    upgrade: string;
    message: string;
};
/**
 * 本地SQLite数据库
 */
export declare const SQLITE: {
    android: {
        name: string;
        location: string;
    };
    ios: {
        name: string;
        iosDatabaseLocation: string;
    };
    window: {
        name: string;
        version: string;
        describe: string;
        maxSize: number;
    };
};
/**
* 平台标识
*
* @Author JoyoDuan
* @Date 2019/11/14
* @Description:
*/
export declare const PLATFORM: {
    android: string;
    ios: string;
};
/**
 * 请求令牌，默认JoyoDuan，可自行在请求前修改GlobalData.token
 *
 * @Author JoyoDuan
 * @Date 2019/11/14
 * @Description:
 */
export declare const TOKEN: {
    tokenKey: string;
    requestToken: string;
};
/**
* 请求令牌，默认JoyoDuan，可自行在请求前修改GlobalData.authorization
*
* @Author JoyoDuan
* @Date 2019/11/14
* @Description:
*/
export declare const AUTHORIZATION: {
    authorizationKey: string;
    requestAuthorization: string;
};
/**
* 图片属性
*
* @Author JoyoDuan
* @Date 2019/11/14
* @Description:
*/
export declare const IMAGE: {
    quality: number;
    size: number;
    width: number;
    height: number;
    maxCount: number;
};
/**
* 默认格式化格式
*
* @Author JoyoDuan
* @Date 2019/11/14
* @Description:
*/
export declare const FORMAT: {
    dateFormat: string;
};
/**
* 默认分页对象
*
* @Author JoyoDuan
* @Date 2019/11/14
* @Description:
*/
export declare const PAGINATION: {
    startRow: number;
    endRow: number;
    pageNo: number;
    pageSize: number;
    pageTime: number;
    pageCount: number;
    totalCount: number;
};
/**
* 文件类型
*
* @Author JoyoDuan
* @Date 2019/11/14
* @Description:
*/
export declare const MIME_TYPE: {
    android: string;
};
/**
* 计数
*
* @Author JoyoDuan
* @Date 2019/11/14
* @Description:
*/
export declare const COUNT: {
    initPushMessage: number;
};
/**
* 表情包
*
* @Author JoyoDuan
* @Date 2019/11/14
* @Description:
*/
export declare const EMOJIS: {
    all: string;
    reserve: string;
    eachGroupNum: number;
};
/**
* 正则表达式
*
* @Author JoyoDuan
* @Date 2019/11/14
* @Description:
*/
export declare const REGULAR: {
    emoji: RegExp;
};
/**
 * 超时
 *
 * @Author JoyoDuan
 * @Date 2020/3/14
 * @Description:
 */
export declare const TIMEOUT: {
    requestTimeout: number;
    loginTimeout: number;
};
/**
 * 请求后台调用的方法(method)
 *
 * @Author JoyoDuan
 * @Date 2020/5/12
 * @Description:
 */
export declare const REQUEST_METHOD: {
    latestVersion: string;
    getFileById: string;
    getFilesByIds: string;
    upload: string;
    uploadBase64: string;
    version: string;
    download: string;
    appDownload: string;
};
