/**
 * 产品模式
 *
 * @Author JoyoDuan
 * @Date 2019/11/14
 * @Description:
 */
export var PRODUCT_MODE = {
    development: 'development',
    production: 'production',
    beta: 'beta',
    dev: 'dev',
    prod: 'prod',
    sit: 'sit',
    uat: 'uat' // User Acceptance Test 终端用户验收测试
};
/**
* 所有Key
*
* @Author JoyoDuan
* @Date 2019/11/14
* @Description:
*/
export var KEY = {
    tokenKey: 'appToken',
    joyoDuan: 'JoyoDuan',
    notExist: 'notExist',
    user: 'user',
    invalidToken: 'invalidToken',
    loginTimeout: 'loginTimeout',
    default: 'default',
    clear: 'clear',
    reserve: 'reserve',
    firstIn: 'firstIn',
    none: 'none',
    file: 'file' // 默认上传文件的key
};
/**
* 是、否
*
* @Author JoyoDuan
* @Date 2019/11/14
* @Description:
*/
export var YES_OR_NO = {
    yes: '1',
    yesSymbol: '√',
    no: '0',
    noSymbol: '×'
};
/**
 * 状态
 */
export var STATUS = {
    compatibleSuccess: {
        code: '00000',
        msg: 'success',
    },
    success: {
        code: 2000,
        msg: 'success',
    },
    fail: {
        code: 4000,
        msg: 'fail'
    },
    verifySignError: {
        code: 4030,
        msg: '篡改参数，你无权访问'
    },
    invalidToken: {
        code: 4001,
        msg: 'token已失效'
    },
    invalidAuthorization: {
        code: 4002,
        msg: '授权已失效'
    }
};
/**
 * 通知（推送）消息类型
 */
export var NOTIFY_TYPE = {
    upgrade: 'upgrade',
    message: 'message' // 普通消息
};
/**
 * 本地SQLite数据库
 */
export var SQLITE = {
    // android
    android: {
        name: 'joyoData.db',
        location: 'default'
    },
    // ios
    ios: {
        name: 'joyoData.db',
        iosDatabaseLocation: 'Library'
    },
    // 浏览器
    window: {
        name: 'joyoData.db',
        version: '1.0',
        describe: 'JoyoDuan',
        maxSize: 5 * 1024 * 1024 // 数据库大小
    }
};
/**
* 平台标识
*
* @Author JoyoDuan
* @Date 2019/11/14
* @Description:
*/
export var PLATFORM = {
    android: 'android',
    ios: 'ios' // ios
};
/**
 * 请求令牌，默认JoyoDuan，可自行在请求前修改GlobalData.token
 *
 * @Author JoyoDuan
 * @Date 2019/11/14
 * @Description:
 */
export var TOKEN = {
    tokenKey: 'appToken',
    requestToken: ''
};
/**
* 请求令牌，默认JoyoDuan，可自行在请求前修改GlobalData.authorization
*
* @Author JoyoDuan
* @Date 2019/11/14
* @Description:
*/
export var AUTHORIZATION = {
    authorizationKey: 'authorization',
    requestAuthorization: ''
};
/**
* 图片属性
*
* @Author JoyoDuan
* @Date 2019/11/14
* @Description:
*/
export var IMAGE = {
    quality: 100,
    size: 512,
    width: 0,
    height: 0,
    maxCount: 6 // 选择图片的最大数量
};
/**
* 默认格式化格式
*
* @Author JoyoDuan
* @Date 2019/11/14
* @Description:
*/
export var FORMAT = {
    // 默认时间格式
    dateFormat: 'yyyy-MM-dd HH:mm:ss'
};
/**
* 默认分页对象
*
* @Author JoyoDuan
* @Date 2019/11/14
* @Description:
*/
export var PAGINATION = {
    startRow: 0,
    endRow: 9,
    pageNo: 1,
    pageSize: 10,
    pageTime: 0,
    pageCount: 0,
    totalCount: 0 // 初始化所有数据条数
};
/**
* 文件类型
*
* @Author JoyoDuan
* @Date 2019/11/14
* @Description:
*/
export var MIME_TYPE = {
    android: 'application/vnd.android.package-archive' // android的apk文件类型
};
/**
* 计数
*
* @Author JoyoDuan
* @Date 2019/11/14
* @Description:
*/
export var COUNT = {
    initPushMessage: 30 // 重复推送30次
};
/**
* 表情包
*
* @Author JoyoDuan
* @Date 2019/11/14
* @Description:
*/
export var EMOJIS = {
    all: '😀 😁 😂 🤣 😃 😄 😅 😆 😉 😊 😋 😎 😍 😘 😗 😙 😚 ☺ 🙂 🤗 🤔 😐 😑 ' +
        '😶 🙄 😏 😣 😥 😮 🤐 😯 😪 😫 😴 😌 😛 😜 😝 🤤 😒 😓 😔 😕 🙃 🤑 😲 ' +
        '☹ 🙁 😖 😞 😟 😤 😢 😭 😦 😧 😨 😩 😬 😰 😱 😳 😵 😡 😠 😷 🤒 🤕 🤢 ' +
        '🤧 😇 🤠 🤡 🤥 🤓 😈 👿 👹 👺 💀 ☠️ 👻 👽 👾 🤖 🎃 💩 😺 😸 😹 😻 😼 ' +
        '😽 🙀 😿 😾 💘 ❤ 💓 💔 💕 🌹 🥀 🌺 💐 🌸 🏵 🌻 🌼 🌷 🌱 💣 💎 🔪 🎀 ' +
        '🎁 🎙 💿 💰 ☘ 🍀 🌙 🌛 🌜 🍉 🍓 🍚 ☕ 🥛 🗣 👤 👥 👐 🙌 👏 🙏 🤝 👍 ' +
        '👎 👊 ✊ 🤛 🤜 🤞 ✌️ 🤘 👌 👈 👉 👆 👇 ☝️ ✋ 🤚 🖐 🖖 👋 🤙 💪 🖕 ✍️ ' +
        '🤳 💅 🖖 💄 💋 👄 👅 👂 👃 👣 👁 👀 ',
    reserve: '😀 😃 😄 😁 😆 😅 😂 🤣 ☺️ 😊 😇 🙂 🙃 😉 😌 😍 😘 😗 😙 😚 😋 😜 😝 😛 🤑 🤗 🤓 😎 🤡 🤠 😏 😒 😞 😔 😟 😕 🙁' +
        ' ☹️ 😣 😖 😫 😩 😤 😠 😡 😶 😐 😑 😯 😦 😧 😮 😲 😵 😳 😱 😨 😰 😢 😥 🤤 😭 😓 😪 😴 🙄 🤔 🤥 😬 🤐 🤢 🤧 😷 🤒 🤕 😈 👿' +
        ' 👹 👺 💩 👻 💀 ☠️ 👽 👾 🤖 🎃 😺 😸 😹 😻 😼 😽 🙀 😿 😾 👐 🙌 👏 🙏 🤝 👍 👎 👊 ✊ 🤛 🤜 🤞 ✌️ 🤘 👌 👈 👉 👆 👇 ☝️ ✋ 🤚' +
        ' 🖐 🖖 👋 🤙 💪 🖕 ✍️ 🤳 💅 🖖 💄 💋 👄 👅 👂 👃 👣 👁 👀 🗣 👤 👥 👶 👦 👧 👨 👩 👱‍♀️ 👱 👴 👵 👲 👳‍♀️ 👳 👮‍♀️ 👮 👷‍♀️ 👷' +
        ' 💂‍♀️ 💂 🕵️‍♀️ 🕵️ 👩‍⚕️ 👨‍⚕️ 👩‍🌾 👨‍🌾 👩‍🍳 👨‍🍳 👩‍🎓 👨‍🎓 👩‍🎤 👨‍🎤 👩‍🏫 👨‍🏫 👩‍🏭 👨‍🏭 👩‍💻 👨‍💻 👩‍💼 👨‍💼 👩‍🔧 👨‍🔧 👩‍🔬 👨‍🔬' +
        ' 👩‍🎨 👨‍🎨 👩‍🚒 👨‍🚒 👩‍✈️ 👨‍✈️ 👩‍🚀 👨‍🚀 👩‍⚖️ 👨‍⚖️ 🤶 🎅 👸 🤴 👰 🤵 👼 🤰 🙇‍♀️ 🙇 💁 💁‍♂️ 🙅 🙅‍♂️ 🙆 🙆‍♂️ 🙋 🙋‍♂️ 🤦‍♀️ 🤦‍♂️ 🤷‍♀' +
        ' 🤷‍♂️ 🙎 🙎‍♂️ 🙍 🙍‍♂️ 💇 💇‍♂️ 💆 💆‍♂️ 🕴 💃 🕺 👯 👯‍♂️ 🚶‍♀️ 🚶 🏃‍♀️ 🏃 👫 👭 👬 💑 👩‍❤️‍👩 👨‍❤️‍👨 💏 👩‍❤️‍💋‍👩 👨‍❤️‍💋‍👨 👪 👨‍👩‍👧' +
        ' 👨‍👩‍👧‍👦 👨‍👩‍👦‍👦 👨‍👩‍👧‍👧 👩‍👩‍👦 👩‍👩‍👧 👩‍👩‍👧‍👦 👩‍👩‍👦‍👦 👩‍👩‍👧‍👧 👨‍👨‍👦 👨‍👨‍👧 👨‍👨‍👧‍👦 👨‍👨‍👦‍👦 👨‍👨‍👧‍👧 👩‍👦 👩‍👧' +
        ' 👩‍👧‍👦 👩‍👦‍👦 👩‍👧‍👧 👨‍👦 👨‍👧 👨‍👧‍👦 👨‍👦‍👦 👨‍👧‍👧 👚 👕 👖 👔 👗 👙 👘 👠 👡 👢 👞 👟 👒 🎩 🎓 👑 ⛑ 🎒 👝 👛 👜 💼 👓' +
        ' 🕶 🌂 ☂️' +
        '💘 ❤ 💓 💔 💕 🌹 🥀 🌺💐 🌸 🏵 🌻 🌼 🌷 🌱 ' +
        '💣 💎 🔪 🎀 🎁 🎙 💿 💰 ☘ 🍀 🌙 🌛 🌜 ' +
        '🌲 🌳 🌵 🌾 🌿 🍁 🍂 🍃 🌍 🌎 🌏 ' +
        '☀ 🌝 🌞 ⭐ 🌟 ☁ ⛅ ⛈ 🌤 🌥 🌦 🌨 🌩 🌪 🌫 🌬 🌈 ☂ ☔ ⚡ ❄ ☃ ⛄ ☄ 🔥 💧 🌊 🎄 ✨ 🎋 🎍 ' +
        '👚 👕 👖 👔 👗 👙 👘 👠 👡 👢 👞 👟 👒 🎩 🎓 👑 ⛑ 🎒 👝 👛 👜 💼 👓' +
        '🍇 🍈 🍊 🍋 🍌 🍍 🍎 🍏 🍐 🍑 🍒 🥝 🍅 🥑 🍆 🥔 🥚 🍳 🍼 🍷 🥂 🍉 🍓 🍚 ☕ 🥛 ' +
        '🗣 👤 👥 👐 🙌 👏 🙏 🤝 👍 👎 👊 ✊ 🤛 🤜 🤞 ✌️ 🤘 👌 👈 👉 ' +
        '👆 👇 ☝️ ✋ 🤚 🖐 🖖 👋 🤙 💪 🖕 ✍️ 🤳 💅 🖖 💄 💋 👄 👅 👂 👃 👣 👁 👀 ',
    eachGroupNum: 23 // 分组后每个数组的大小 23: 图标只显示23个，第24个留给删除按钮
};
/**
* 正则表达式
*
* @Author JoyoDuan
* @Date 2019/11/14
* @Description:
*/
export var REGULAR = {
    emoji: /\uD83C[\uDF00-\uDFFF]|\uD83D[\uDC00-\uDE4F]/g,
};
/**
 * 超时
 *
 * @Author JoyoDuan
 * @Date 2020/3/14
 * @Description:
 */
export var TIMEOUT = {
    // 请求超时时间,单位为毫秒
    requestTimeout: 30 * 1000,
    // 登录超时时间，单位为毫秒
    loginTimeout: 2 * 24 * 60 * 60 * 1000 // 2天
};
/**
 * 请求后台调用的方法(method)
 *
 * @Author JoyoDuan
 * @Date 2020/5/12
 * @Description:
 */
export var REQUEST_METHOD = {
    // 最后版本
    latestVersion: '/latestUpdate',
    // 根据id获取文件
    getFileById: '/getFileById',
    // 根据ids获取数组文件
    getFilesByIds: '/getFilesByIds',
    // 上传文件
    upload: '/upload',
    // 上传base64文件
    uploadBase64: '/uploadBase64',
    version: '/version',
    download: '/download',
    appDownload: '/version/download' // app下载
};
//# sourceMappingURL=index.js.map